Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdm-vaadin / pom.xml @ e488b742

History | View | Annotate | Download (23.1 KB)

1
<?xml version="1.0" encoding="UTF-8"?>
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdm-vaadin</artifactId>
6
  <packaging>war</packaging>
7
  <version>5.12.0-SNAPSHOT</version>
8
  <name>Vaadin Web Application</name>
9
  <properties>
10
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
11
    <vaadin.version>7.7.13</vaadin.version>
12
    <vaadin-spring.version>1.2.0</vaadin-spring.version>
13
    <vaadin.plugin.version>${vaadin.version}</vaadin.plugin.version>
14
    <vaadin-spring-addon-eventbus.version>2.0.0.RELEASE</vaadin-spring-addon-eventbus.version>
15
    <cdmlib.version>5.12.0-SNAPSHOT</cdmlib.version>
16
    <unitils.version>3.4.2</unitils.version>
17
    <spring-boot.version>1.3.1.RELEASE</spring-boot.version>
18
    <!-- has spring 4.2.4-RELEASE as dependency --> 
19
    <!-- 
20
        lucene.version must match the version as defined in cdmlib
21
    -->
22
    <lucene.version>5.4.1</lucene.version>
23
    <maven.compiler.source>1.8</maven.compiler.source>
24
    <maven.compiler.target>1.8</maven.compiler.target>
25
  </properties>
26
  <prerequisites>
27
    <maven>3.0.5</maven>
28
  </prerequisites>
29
  <repositories>
30
    <!-- the cdm internal repository -->
31
    <repository>
32
      <id>EditRepository</id>
33
      <url>http://cybertaxonomy.eu/mavenrepo/</url>
34
    </repository>
35
    <!-- current spring source repositories -->
36
    <repository>
37
      <id>SpringSource Enterprise Bundle Repository - External Bundle Milestones</id>
38
      <url>http://repository.springsource.com/maven/bundles/milestone</url>
39
    </repository>
40
    <repository>
41
      <id>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</id>
42
      <url>http://repository.springsource.com/maven/bundles/release</url>
43
    </repository>
44
    <repository>
45
      <id>SpringSource Enterprise Bundle Repository - External Bundle Releases</id>
46
      <url>http://repository.springsource.com/maven/bundles/external</url>
47
    </repository>
48
    <repository>
49
      <id>vaadin-addons</id>
50
      <url>http://maven.vaadin.com/vaadin-addons</url>
51
    </repository>
52
    <repository>
53
      <id>vaadin-snapshots</id>
54
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
55
      <releases>
56
        <enabled>false</enabled>
57
      </releases>
58
      <snapshots>
59
        <enabled>true</enabled>
60
      </snapshots>
61
    </repository>
62
  </repositories>
63
  <pluginRepositories>
64
    <pluginRepository>
65
      <id>vaadin-snapshots</id>
66
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
67
      <releases>
68
        <enabled>false</enabled>
69
      </releases>
70
      <snapshots>
71
        <enabled>true</enabled>
72
      </snapshots>
73
    </pluginRepository>
74
  </pluginRepositories>
75
  <dependencyManagement>
76
    <dependencies>
77
      <dependency>
78
        <groupId>eu.etaxonomy</groupId>
79
        <artifactId>cdmlib-parent</artifactId>
80
        <version>${cdmlib.version}</version>
81
        <type>pom</type>
82
        <scope>import</scope>
83
      </dependency>
84
      <dependency>
85
        <groupId>org.springframework.boot</groupId>
86
        <artifactId>spring-boot-starter-parent</artifactId>
87
        <version>${spring-boot.version}</version>
88
        <type>pom</type>
89
        <scope>import</scope>
90
      </dependency>
91
      <dependency>
92
        <groupId>com.vaadin</groupId>
93
        <artifactId>vaadin-bom</artifactId>
94
        <version>${vaadin.version}</version>
95
        <type>pom</type>
96
        <scope>import</scope>
97
      </dependency>
98
      <dependency>
99
        <!-- Try updating in cdmlib to 20090211 -->
100
        <groupId>org.json</groupId>
101
        <artifactId>json</artifactId>
102
        <version>20151123</version>
103
      </dependency>
104
    
105
    
106
    
107
    
108
    
109
    
110
    
111
    
112
      <!-- 
113
      <dependency>
114
        < ! - - FIXME move to cdmlib-test - - >
115
        <groupId>org.springframework</groupId>
116
        <artifactId>spring-mock</artifactId>
117
        <version>4.2.3.RELEASE</version>
118
      </dependency>
119
      <dependency>
120
        <groupId>org.seleniumhq.selenium</groupId>
121
        <artifactId>selenium-api</artifactId>
122
        <version>3.5.3</version>
123
      </dependency>
124
      <dependency>
125
        <groupId>org.seleniumhq.selenium</groupId>
126
        <artifactId>selenium-support</artifactId>
127
        <version>3.5.3</version>
128
      </dependency>
129
      -->
130
    </dependencies>
131
  </dependencyManagement>
132
  <distributionManagement>
133
    <repository>
134
      <uniqueVersion>false</uniqueVersion>
135
      <id>cybertaxonomy.eu</id>
136
      <name>Edit Maven Repository</name>
137
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
138
      <layout>default</layout>
139
    </repository>
140
  </distributionManagement>
141
  <profiles>
142
    <profile>
143
      <id>align-cdmlib-version</id>
144
      <activation>
145
        <property>
146
          <name>align-cdmlib-version</name>
147
        </property>
148
      </activation>
149
      <build>
150
        <plugins>
151
          <plugin>
152
            <groupId>com.google.code.maven-replacer-plugin</groupId>
153
            <artifactId>replacer</artifactId>
154
            <version>1.5.3</version>
155
            <executions>
156
              <execution>
157
                <phase>process-sources</phase>
158
                <goals>
159
                  <goal>replace</goal>
160
                </goals>
161
              </execution>
162
            </executions>
163
            <configuration>
164
              <file>pom.xml</file>
165
              <!-- \u003C = < , \u003E = > -->
166
              <token>(\u003Ccdmlib\.version\u003E)[^\u003C]*</token>
167
              <value>$1${project.version}</value>
168
            </configuration>
169
          </plugin>
170
        </plugins>
171
      </build>
172
    </profile>
173
    <profile>
174
      <id>java8-doclint-disabled</id>
175
      <activation>
176
        <jdk>[1.8,)</jdk>
177
      </activation>
178
      <properties>
179
        <javadoc.opts>-Xdoclint:none</javadoc.opts>
180
      </properties>
181
    </profile>
182
  </profiles>
183
  <build>
184
    <resources>
185
      <resource>
186
        <!-- all main resources without filtering -->
187
        <directory>src/main/resources</directory>
188
      </resource>
189
      <resource>
190
        <!-- replace the place holders like ${...} in datasources.xml -->
191
        <filtering>true</filtering>
192
        <directory>src/test/resources</directory>
193
        <targetPath>../test-classes</targetPath>
194
        <includes>
195
          <include>datasources.xml</include>
196
        </includes>
197
      </resource>
198
      <resource>
199
        <!-- all other test resources without filtering -->
200
        <directory>src/test/resources</directory>
201
        <targetPath>../test-classes</targetPath>
202
        <excludes>
203
          <exclude>datasources.xml</exclude>
204
        </excludes>
205
      </resource>
206
    </resources>
207
    <plugins>
208
      <plugin>
209
        <groupId>org.apache.maven.plugins</groupId>
210
        <artifactId>maven-resources-plugin</artifactId>
211
        <version>3.0.1</version>
212
      </plugin>
213
      <plugin>
214
        <groupId>org.apache.maven.plugins</groupId>
215
        <artifactId>maven-compiler-plugin</artifactId>
216
        <version>3.3</version>
217
        <configuration>
218
          <source>${maven.compiler.source}</source>
219
          <target>${maven.compiler.target}</target>
220
          <encoding>UTF-8</encoding>
221
        </configuration>
222
      </plugin>
223
      <plugin>
224
        <groupId>org.apache.maven.plugins</groupId>
225
        <artifactId>maven-surefire-plugin</artifactId>
226
        <version>2.19.1</version>
227
        <configuration>
228
          <argLine>-Xms256m -Xmx512m</argLine>
229
        </configuration>
230
      </plugin>
231
      <!-- As we are doing "inplace" GWT compilation, ensure the widgetset -->
232
      <!-- directory is cleaned properly -->
233
      <plugin>
234
        <artifactId>maven-clean-plugin</artifactId>
235
        <version>2.4.1</version>
236
        <configuration>
237
          <filesets>
238
            <fileset>
239
              <directory>src/main/webapp/VAADIN/widgetsets</directory>
240
            </fileset>
241
          </filesets>
242
        </configuration>
243
      </plugin>
244
      <plugin>
245
        <groupId>org.apache.maven.plugins</groupId>
246
        <artifactId>maven-javadoc-plugin</artifactId>
247
        <version>2.9.1</version>
248
        <configuration>
249
          <additionalparam>${javadoc.opts}</additionalparam>
250
        </configuration>
251
      </plugin>
252
      <plugin>
253
        <groupId>org.apache.maven.plugins</groupId>
254
        <artifactId>maven-war-plugin</artifactId>
255
        <version>2.2</version>
256
        <configuration>
257
          <failOnMissingWebXml>false</failOnMissingWebXml>
258
          <warSourceExcludes>WEB-INF/*,WEB-INF/datasources/*</warSourceExcludes>
259
        </configuration>
260
      </plugin>
261
      <plugin>
262
        <groupId>com.vaadin</groupId>
263
        <artifactId>vaadin-maven-plugin</artifactId>
264
        <version>${vaadin.plugin.version}</version>
265
        <configuration>
266
          <extraJvmArgs>-Xmx512M -Xss1024k</extraJvmArgs>
267
          <!-- We are doing "inplace" but into subdir VAADIN/widgetsets. 
268
            This way compatible with Vaadin eclipse plugin. -->
269
          <webappDirectory>${basedir}/src/main/webapp/VAADIN/widgetsets</webappDirectory>
270
          <hostedWebapp>${basedir}/src/main/webapp/VAADIN/widgetsets</hostedWebapp>
271
          <!-- Most Vaadin apps don't need this stuff, guide that to target -->
272
          <persistentunitcachedir>${project.build.directory}</persistentunitcachedir>
273
          <deploy>${project.build.directory}/gwt-deploy</deploy>
274
          <!-- Compile report is not typically needed either, saves hunreds 
275
            of mb disk -->
276
          <compileReport>false</compileReport>
277
          <noServer>true</noServer>
278
          <!-- Remove draftCompile when project is ready -->
279
          <draftCompile>false</draftCompile>
280
          <style>OBF</style>
281
          <runTarget>http://localhost:8080/</runTarget>
282
        </configuration>
283
        <executions>
284
          <execution>
285
            <configuration>
286
              <!-- if you don't specify any modules, the plugin will find 
287
                them -->
288
              <!-- <modules> <module>com.vaadin.demo.mobilemail.gwt.ColorPickerWidgetSet</module> 
289
                </modules> -->
290
            </configuration>
291
            <goals>
292
              <goal>clean</goal>
293
              <goal>resources</goal>
294
              <goal>update-theme</goal>
295
              <goal>update-widgetset</goal>
296
              <goal>compile-theme</goal>
297
              <goal>compile</goal>
298
            </goals>
299
          </execution>
300
        </executions>
301
      </plugin>
302
      <plugin>
303
        <groupId>org.eclipse.jetty</groupId>
304
        <artifactId>jetty-maven-plugin</artifactId>
305
        <version>9.4.15.v20190215</version>
306
        <!--  
307
            NOTE:
308
            9.4.0.RC1 requires jdk 1.8, formerly we've been using version 9.1.3.v20140225 which was 
309
            the last version compatible to java 7, but this was causing other problems related to asm
310
            which could not be easily solved.
311
        -->
312
        <configuration>
313
          <useTestScope>true</useTestScope>
314
          <scanIntervalSeconds>2</scanIntervalSeconds>
315
          <systemProperties>
316
            <force>true</force>
317
            <systemProperty>
318
              <name>cdm.datasource</name>
319
              <value>h2_cdmTest</value>
320
            </systemProperty>
321
            <systemProperty>
322
              <name>hibernate.hbm2ddl.auto</name>
323
              <value>create-drop</value>
324
            </systemProperty>
325
            <systemProperty>
326
              <!-- 
327
                The lucene index should be placed into the target folder, 
328
                so user.home needs to be set to this folder. user.home needs to be overridden 
329
                since it already exists, thus the force option is turned on above 
330
              -->
331
              <name>user.home</name>
332
              <value>${basedir}/target/</value>
333
            </systemProperty>
334
            <systemProperty>
335
              <!-- 
336
                datasources.xml is prepared by <plugins><resources>..</resources> above 
337
               -->
338
              <name>cdm.beanDefinitionFile</name>
339
              <value>${project.build.directory}/test-classes/datasources.xml</value>
340
            </systemProperty>
341
          </systemProperties>
342
        </configuration>
343
        <dependencies>
344
          <dependency>
345
            <groupId>org.slf4j</groupId>
346
            <artifactId>slf4j-log4j12</artifactId>
347
            <version>1.6.4</version>
348
          </dependency>
349
        </dependencies>
350
      </plugin>
351
      <plugin>
352
        <groupId>org.apache.maven.plugins</groupId>
353
        <artifactId>maven-failsafe-plugin</artifactId>
354
        <version>2.17</version>
355
        <configuration>
356
          <!-- Remove the skipTests line below to run TestBench tests -->
357
          <!-- <skipTests>true</skipTests> -->
358
        </configuration>
359
        <executions>
360
          <execution>
361
            <goals>
362
              <goal>integration-test</goal>
363
              <goal>verify</goal>
364
            </goals>
365
          </execution>
366
        </executions>
367
      </plugin>
368
      <!-- Browser Driver Downloader -->
369
      <plugin>
370
        <groupId>com.lazerycode.selenium</groupId>
371
        <artifactId>driver-binary-downloader-maven-plugin</artifactId>
372
        <version>1.0.14</version>
373
        <!-- has a bug -->
374
        <configuration>
375
          <rootStandaloneServerDirectory>selenium/bin</rootStandaloneServerDirectory>
376
          <downloadedZipFileDirectory>selenium/zip</downloadedZipFileDirectory>
377
        </configuration>
378
        <executions>
379
          <execution>
380
            <goals>
381
              <goal>selenium</goal>
382
            </goals>
383
          </execution>
384
        </executions>
385
      </plugin>
386
      <plugin>
387
        <groupId>external.atlassian.jgitflow</groupId>
388
        <artifactId>jgitflow-maven-plugin</artifactId>
389
        <version>1.0-m6</version>
390
        <configuration>
391
          <pushHotfixes>true</pushHotfixes>
392
          <pushReleases>true</pushReleases>
393
          <enableSshAgent>true</enableSshAgent>
394
          <allowSnapshots>true</allowSnapshots>
395
          <allowUntracked>true</allowUntracked>
396
        </configuration>
397
        <dependencies>
398
          <!-- upgrading dependency jsch.agent.version of jgit-flow plugin 
399
            to 0.1.53 in order have ssl key exchange algorithms compatible with openssh 
400
            6.7 -->
401
          <dependency>
402
            <groupId>com.jcraft</groupId>
403
            <artifactId>jsch</artifactId>
404
            <version>0.1.53</version>
405
          </dependency>
406
        </dependencies>
407
      </plugin>
408
    </plugins>
409
    <extensions>
410
      <extension>
411
        <groupId>org.apache.maven.wagon</groupId>
412
        <artifactId>wagon-scm</artifactId>
413
        <version>1.0-beta-6</version>
414
      </extension>
415
      <extension>
416
        <groupId>org.apache.maven.wagon</groupId>
417
        <artifactId>wagon-ssh</artifactId>
418
        <version>1.0-beta-6</version>
419
      </extension>
420
      <extension>
421
        <groupId>org.apache.maven.wagon</groupId>
422
        <artifactId>wagon-ssh-external</artifactId>
423
        <version>1.0-beta-6</version>
424
      </extension>
425
      <extension>
426
        <groupId>org.apache.maven.scm</groupId>
427
        <artifactId>maven-scm-manager-plexus</artifactId>
428
        <version>1.0</version>
429
      </extension>
430
      <extension>
431
        <groupId>org.apache.maven.scm</groupId>
432
        <artifactId>maven-scm-provider-svnexe</artifactId>
433
        <version>1.0</version>
434
      </extension>
435
      <!-- WebDAV plugin to upload snapshots -->
436
      <extension>
437
        <groupId>org.apache.maven.wagon</groupId>
438
        <artifactId>wagon-webdav</artifactId>
439
        <version>1.0-beta-2</version>
440
      </extension>
441
    </extensions>
442
    <pluginManagement>
443
      <plugins>
444
        <plugin>
445
          <artifactId>maven-eclipse-plugin</artifactId>
446
          <configuration>
447
            <wtpversion>2.0</wtpversion>
448
            <additionalProjectnatures>
449
              <projectnature>com.vaadin.integration.eclipse.widgetsetNature</projectnature>
450
            </additionalProjectnatures>
451
            <additionalBuildcommands>
452
              <buildcommand>com.vaadin.integration.eclipse.widgetsetBuilder</buildcommand>
453
              <buildcommand>com.vaadin.integration.eclipse.addonStylesBuilder</buildcommand>
454
            </additionalBuildcommands>
455
          </configuration>
456
        </plugin>
457
        <!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
458
        <plugin>
459
          <groupId>org.eclipse.m2e</groupId>
460
          <artifactId>lifecycle-mapping</artifactId>
461
          <version>1.0.0</version>
462
          <configuration>
463
            <lifecycleMappingMetadata>
464
              <pluginExecutions>
465
                <pluginExecution>
466
                  <pluginExecutionFilter>
467
                    <groupId>com.lazerycode.selenium</groupId>
468
                    <artifactId>
469
                      driver-binary-downloader-maven-plugin
470
                    </artifactId>
471
                    <versionRange>[1.0.14,)</versionRange>
472
                    <goals>
473
                      <goal>selenium</goal>
474
                    </goals>
475
                  </pluginExecutionFilter>
476
                  <action>
477
                    <ignore/>
478
                  </action>
479
                </pluginExecution>
480
              </pluginExecutions>
481
            </lifecycleMappingMetadata>
482
          </configuration>
483
        </plugin>
484
      </plugins>
485
    </pluginManagement>
486
  </build>
487
  <dependencies>
488
    <!-- ============ Vaadin ============ -->
489
    <dependency>
490
      <groupId>com.vaadin</groupId>
491
      <artifactId>vaadin-spring</artifactId>
492
      <version>${vaadin-spring.version}</version>
493
    </dependency>
494
    <dependency>
495
      <groupId>org.vaadin.spring.addons</groupId>
496
      <artifactId>vaadin-spring-addon-eventbus</artifactId>
497
      <version>${vaadin-spring-addon-eventbus.version}</version>
498
    </dependency>
499
    <dependency>
500
      <groupId>com.vaadin</groupId>
501
      <artifactId>vaadin-server</artifactId>
502
    </dependency>
503
    <dependency>
504
      <groupId>com.vaadin</groupId>
505
      <artifactId>vaadin-client-compiled</artifactId>
506
    </dependency>
507
    <!-- Needed when using the widgetset optimizer (custom ConnectorBundleLoaderFactory). 
508
      For widgetset compilation, vaadin-client-compiler is automatically added 
509
      on the compilation classpath by vaadin-maven-plugin so normally there is 
510
      no need for an explicit dependency. -->
511
    <!-- <dependency> <groupId>com.vaadin</groupId> <artifactId>vaadin-client-compiler</artifactId> 
512
      <version>${vaadin.version}</version> <scope>provided</scope> </dependency> -->
513
    <dependency>
514
      <groupId>com.vaadin</groupId>
515
      <artifactId>vaadin-client</artifactId>
516
      <scope>test</scope>
517
      <exclusions>
518
        <exclusion>
519
          <groupId>javax.validation</groupId>
520
          <artifactId>validation-api</artifactId>
521
        </exclusion>
522
      </exclusions>
523
    </dependency>
524
    <!-- disabling push for the moment because it does not work with run-jetty-run 
525
      due to the fact that the latest (even nightly) version of run-jetty-run uses 
526
      9.0.0 M3 which is incompatible with atmoshpere. this does work with the jetty 
527
      included in this pom which is 9.2.5.xx, implying that enabling the dependency 
528
      and running the web app via 'mvn jetty:run' works fine. -->
529
    <!-- <dependency> -->
530
    <!-- <groupId>com.vaadin</groupId> -->
531
    <!-- <artifactId>vaadin-push</artifactId> -->
532
    <!-- <version>${vaadin.version}</version> -->
533
    <!-- </dependency> -->
534
    <dependency>
535
      <groupId>com.vaadin</groupId>
536
      <artifactId>vaadin-themes</artifactId>
537
    </dependency>
538
    <!-- vaadin addons / extensions -->
539
    <dependency>
540
      <groupId>org.vaadin.addons</groupId>
541
      <artifactId>contextmenu</artifactId>
542
      <version>4.5</version>
543
    </dependency>
544
    <dependency>
545
      <groupId>org.vaadin.teemu</groupId>
546
      <artifactId>switch</artifactId>
547
      <version>2.0.4-SNAPSHOT</version>
548
    </dependency>
549
    <dependency>
550
      <groupId>org.vaadin</groupId>
551
      <artifactId>viritin</artifactId>
552
      <version>1.61</version>
553
    </dependency>
554
    <dependency>
555
      <groupId>org.vaadin.addon</groupId>
556
      <artifactId>v-leaflet</artifactId>
557
      <version>1.0.3</version>
558
    </dependency>
559
    <dependency>
560
      <groupId>org.vaadin.addons.lazyquerycontainer</groupId>
561
      <artifactId>vaadin-lazyquerycontainer</artifactId>
562
      <version>7.6.1.3</version>
563
    </dependency>
564
    <dependency>
565
      <groupId>com.flowingcode.vaadin.addons</groupId>
566
      <artifactId>error-window-vaadin</artifactId>
567
      <version>1.0.0</version>
568
    </dependency>
569
    <!-- 
570
    <dependency>
571
        <groupId>org.vaadin.spring.extensions</groupId>
572
        <artifactId>vaadin-spring-ext-test</artifactId>
573
        <version>0.0.8-SNAPSHOT</version>
574
        <scope>test</scope>
575
    </dependency>
576
     -->
577
    <!--     <dependency>
578
        only in the edit repo
579
      <groupId>org.vaadin.addons</groupId>
580
      <artifactId>lazyloadwrapper</artifactId>
581
      <version>0.1-alpha</version>
582
    </dependency> -->
583
    <!-- ============ cdmlib ============ -->
584
    <dependency>
585
      <groupId>eu.etaxonomy</groupId>
586
      <artifactId>cdmlib-remote</artifactId>
587
      <scope>compile</scope>
588
    </dependency>
589
    <dependency>
590
      <groupId>eu.etaxonomy</groupId>
591
      <artifactId>cdmlib-cache</artifactId>
592
      <version>${cdmlib.version}</version>
593
    </dependency>
594
    <dependency>
595
      <groupId>eu.etaxonomy</groupId>
596
      <artifactId>cdmlib-test</artifactId>
597
      <scope>test</scope>
598
    </dependency>
599
    <dependency>
600
      <groupId>eu.etaxonomy</groupId>
601
      <artifactId>cdmlib-db</artifactId>
602
      <version>${cdmlib.version}</version>
603
      <scope>test</scope>
604
    </dependency>
605
    <!-- ============ Other ============ -->
606
    <!-- 
607
        to override version number coming with vaadin client 
608
        version is managed in cdmlib-parent
609
    -->
610
    <dependency>
611
      <groupId>javax.validation</groupId>
612
      <artifactId>validation-api</artifactId>
613
    </dependency>
614
    <dependency>
615
      <groupId>org.springmodules</groupId>
616
      <artifactId>spring-modules-cache</artifactId>
617
      <version>0.7</version>
618
      <exclusions>
619
        <exclusion>
620
          <groupId>org.springframework</groupId>
621
          <artifactId>spring</artifactId>
622
        </exclusion>
623
        <exclusion>
624
          <groupId>org.springframework</groupId>
625
          <artifactId>spring-mock</artifactId>
626
        </exclusion>
627
      </exclusions>
628
      <scope>test</scope>
629
    </dependency>
630
    <dependency>
631
      <groupId>org.springframework</groupId>
632
      <artifactId>spring-test</artifactId>
633
      <scope>test</scope>
634
    </dependency>
635
    <dependency>
636
      <groupId>org.json</groupId>
637
      <artifactId>json</artifactId>
638
    </dependency>
639
    <dependency>
640
      <groupId>javax.servlet</groupId>
641
      <artifactId>javax.servlet-api</artifactId>
642
      <scope>provided</scope>
643
    </dependency>
644
    <!-- ========== testing ======== -->
645
    <dependency>
646
      <groupId>com.codeborne</groupId>
647
      <artifactId>selenide</artifactId>
648
      <version>4.7.1</version>
649
      <scope>test</scope>
650
    </dependency>
651
    <dependency>
652
      <groupId>org.springframework.boot</groupId>
653
      <artifactId>spring-boot</artifactId>
654
    </dependency>
655
    <dependency>
656
      <groupId>org.springframework.boot</groupId>
657
      <artifactId>spring-boot-starter-jetty</artifactId>
658
    </dependency>
659
    <dependency>
660
      <groupId>org.springframework</groupId>
661
      <artifactId>spring-beans</artifactId>
662
    </dependency>
663
  </dependencies>
664
</project>
Add picture from clipboard (Maximum size: 40 MB)